---
title: "Overview"
---


## EIC Data model

### PODIO  

- Eicweb fork: https://eicweb.phy.anl.gov/EIC/podio
- AIDAsoft repo: https://github.com/AIDASoft/podio

### LCIO2 

[Defined in yaml 
file](https://eicweb.phy.anl.gov/EIC/podio/blob/master/lcio2/lcio-edm.yaml) 
which is used to generate C++ library.

![data model use](data_model_use2.png)

![data model layer](data_model_layers.png)


## NPDet - Nuclear physics detector library

As we will learn the compact detector description files are used to build detectors from a parameterized detector library. 
NPDet is a collection of _generic detectors_ and _concept detectors_. 

In a hack-a-thon we will add to this detector library.

